package com.liquidnet.service.dragon.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.dragon.dto.DragonRefundAppDto;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;

public interface IDragonOrderRefundsService {

    /**
     *
     * @param tradeNo => refundCode
     * @param outTradeNo  => pay_code
     * @param reason
     * @param returnUrl
     * @param price 退款金额
     * @param paymentType 支付类型
     */
    ResponseDto<DragonRefundAppDto> dragonRefund(String orderCode, String tradeNo, String outTradeNo, String reason, String returnUrl, BigDecimal price, String paymentType,String paymentId,BigDecimal priceTotal);

    String wePayRefundCallBack(HttpServletRequest request , HttpServletResponse response);

    String unionRefundCallBack(HttpServletRequest request , HttpServletResponse response);

    String aliPayRefundCodeStatus(String outTradeNo ,String tradeNo ,String outBizNo,String callBackUrl);

    String douYinPayRefundCallBack(HttpServletRequest request , HttpServletResponse response);

    String douYinPayRefundCodeStatus(String outRefundNo);

}
